## sigrot 1.0

=== Makefile ===
DEST	      = /usr/local/bin

MANDEST	      = /usr/man/man1

MANFILE	      = sigrot.1

INSTALL	      = cp

LD	      = $(CC)

PROGRAM       = sigrot

SHELL	      = /bin/sh

SRCS	      = sigrot.c

all:		$(PROGRAM)

$(PROGRAM):     $(LIBS)
		@$(LD) $(SRCS) -o $(PROGRAM)
		@echo "done"

clean:;		@rm -f core

clobber:;	@rm -f $(PROGRAM) core tags

install:	$(PROGRAM)
		@echo Installing $(PROGRAM) in $(DEST)
		@-strip $(PROGRAM)
		@if [ $(DEST) != . ]; then \
		(rm -f $(DEST)/$(PROGRAM); $(INSTALL) $(PROGRAM) $(DEST)); fi
		@chmod 755 $(DEST)/$(PROGRAM)
		@echo Installing $(MANFILE) in $(MANDEST)
		@$(INSTALL) $(MANFILE) $(MANDEST)
		@chmod 644 $(MANDEST)/$(MANFILE)

## sigrot 1.1

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 		@echo "done"
 
 clean:;		@rm -f core
+		@rm sigrot
 
 clobber:;	@rm -f $(PROGRAM) core tags

## sigrot 1.2-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
-DEST	      = /usr/local/bin
+# Edited for Debian GNU/Linux.
+DESTDIR	      =
 
-MANDEST	      = /usr/man/man1
+DEST	      = $(DESTDIR)/usr/bin
+
+MANDEST	      = $(DESTDIR)/usr/share/man/man1
 
 MANFILE	      = sigrot.1
 
@@ -21,7 +24,7 @@
 		@echo "done"
 
 clean:;		@rm -f core
-		@rm sigrot
+		@rm -f sigrot
 
 clobber:;	@rm -f $(PROGRAM) core tags

=== debian/changelog ===
sigrot (1.2-1) unstable; urgency=low

  * Applied patch to add the "random" feature
  * Applied patch to change chars to ints (bug fix) 

 -- Christopher J. Morrone <cmorrone@debian.org>  Wed, 20 Dec 2000 13:16:06 -0500

sigrot (1.1-2) frozen unstable; urgency=low

  * Added the binary to the binary package (duh...)

 -- Christopher J. Morrone <cmorrone@debian.org>  Mon, 30 Mar 1998 17:52:41 -0500

sigrot (1.1-1) unstable; urgency=low

  * Package taken over by program's author.
  * Fixed a couple coding errors.

 -- Christopher J. Morrone <cmorrone@debian.org>  Sat, 14 Mar 1998 00:01:33 -0500

sigrot (1.0-2) unstable; urgency=low

  * Changed the architecture line from i386 to any.

 -- Patrick J. Edwards <pje120@mail.usask.ca>  Sub, 24 Nuv 1996 01:45:00 -0600

sigrot (1.0-1) unstable; urgency=low

  * Initial release.
  * Fixed a few bugs.
  * Upgraded to dpkg-dev style of package release.

 -- Patrick J. Edwards <pje120@mail.usask.ca>  Fri, 18 Oct 1996 14:35:00 -0800


Local variables:
mode: debian-changelog
add-log-mailing-address: "cmorrone@debian.org"
End:

=== debian/control ===
Source: sigrot
Section: mail
Priority: optional
Maintainer: Christopher J. Morrone <cmorrone@debian.org>
Build-Depends: debhelper
Standards-Version: 3.1.1

Package: sigrot
Architecture: any
Depends: ${shlibs:Depends}
Description: Signature file rotation program.
 Rotates your .signature file every time the sigrot is run. Includes an
 option for a non-rotating header and/or footer with a rotating middle.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/sigrot.sgml > sigrot.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/sigrot


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
